
I was above myself and floating upwards. I was at peace and felt no pain. The nurses were around me. The doctor was sitting there looking up at me, smiling. It was like 3-D, so clear and vivid. I could see every detail of his face. Then he put his hands on my chest, still smiling and said, 'Not yet.' At the same time that he said this, his face just melted. I saw this so clearly, that it was a little creepy but I was not scared at all. I opened my eyes and my Peggy told me, 'Thank God, they had to shock you three times to bring you back.
